% Programs for the book
% "Positive Trigonometric Polynomials and Signal Processing Applications"
% by Bogdan Dumitrescu, Springer 2007

% Example 2.11: most positive Gram matrix associated with a polynomial

% Vector of (distinct) coefficients
R = [6 -3 2];

% Pick your choice of a function
my_choice = 0;

switch my_choice
  case 0,     % the program from section 2.12.1
    [mu,Q] = minpol1(R);
    smallest_eig = min(eig(Q));
    % smallest_eig = mu/size(Q,1);
    
  case 1,     % a more general program for multidimensional polynomials
    [Q, smallest_eig] =  most_pos_Gram(R, length(R)-1);
end

smallest_eig, Q

