% Programs for the book
% "Positive Trigonometric Polynomials and Signal Processing Applications"
% by Bogdan Dumitrescu, Springer 2007

% Example 2.24:
%   - minimum value of a polynomial on the real axis
%   - most positive Gram matrix associated with the polynomial

% Vector of coefficients
P = [2 2 7 -2 1];

% minimum value of the polynomial
[mu, Q] = minpol1_real(P)
eig(Q)

% most positive Gram matrix
Q_most_pos = most_pos_Gram1_real(P)
eig(Q_most_pos)

