function v = vecs(X)

% vectorize lower triangular part of symmetric matrix

% BD 14.01.2009

n = size(X,1);    % assume square matrix
N = n*(n+1)/2;    % length of v
v = zeros(N,1);
k = 1;
for i = 1 : n
  v( k:k+n-i ) = X(i:n,i);
  k = k + n-i+1;
end