function  y=zpolyval(p,z)
%   Y = ZPOLYVAL(P,z), when P is a vector of length N+1 whose elements
%   are the coefficients of a polynomial, is the value of the
%   polynomial evaluated at z.
%
%       Y = P(0) + P(1)*z^(-1) + ... + P(N-1)*z^(-N+1) + P(N)*z^(-N)
%
%

%  Riitta Niemisto

p=p(end:-1:1);
y=polyval(p,z.^(-1));
